%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	System load plugin for the Xfce panel
Name:		xfce4-systemload-plugin
Version:	1.3.3
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-systemload-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	pkgconfig(upower-glib)
Requires:	xfce4-panel

%description
A system load panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -Sgit_am -p1

%build
# to fix debug symbols build
%xdt_autogen
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README* ChangeLog AUTHORS
%{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.systemload.{png,svg}


%changelog
* Wed Dec 25 2024 wally <wally> 1.3.3-1.mga10
+ Revision: 2130087
- new version 1.3.3
- new version 1.3.3

* Sun Apr 30 2023 wally <wally> 1.3.2-1.mga9
+ Revision: 1955440
- new version 1.3.2

* Mon Apr 04 2022 umeabot <umeabot> 1.3.1-2.mga9
+ Revision: 1843557
- Mageia 9 Mass Rebuild

* Mon Apr 05 2021 wally <wally> 1.3.1-1.mga9
+ Revision: 1713552
- new version 1.3.1

* Fri Mar 19 2021 wally <wally> 1.3.0-1.mga9
+ Revision: 1704884
- new version 1.3.0

* Mon Dec 21 2020 wally <wally> 1.2.4-1.mga8
+ Revision: 1662604
- new version 1.2.4

* Sat Oct 31 2020 wally <wally> 1.2.3-3.mga8
+ Revision: 1641000
- add upstream patch to fix build with xfce4-panel 4.15
- update URL

* Sat Feb 15 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1528212
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 13 2019 wally <wally> 1.2.3-1.mga8
+ Revision: 1429161
- new version 1.2.3

* Sat Jan 05 2019 wally <wally> 1.2.2-2.mga7
+ Revision: 1349867
- add upstream patch to fix a crash when opening the properties diaglog

* Sat Dec 08 2018 wally <wally> 1.2.2-1.mga7
+ Revision: 1338962
- new version 1.2.2

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1301884
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 wally <wally> 1.2.1-1.mga7
+ Revision: 1161995
- new version 1.2.1
- switch to gtk3

* Wed Feb 17 2016 umeabot <umeabot> 1.1.2-4.mga6
+ Revision: 963583
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 wally <wally> 1.1.2-3.mga6
+ Revision: 881816
- fix debug symbols build

* Tue Mar 03 2015 wally <wally> 1.1.2-2.mga5
+ Revision: 817456
- rebuild for new libxfce4util

* Fri Nov 21 2014 wally <wally> 1.1.2-1.mga5
+ Revision: 798077
- new version 1.1.2
- drop patches from usptream

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 748711
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 wally <wally> 1.1.1-5.mga5
+ Revision: 668405
- rebuild for new upower

* Fri May 30 2014 wally <wally> 1.1.1-4.mga5
+ Revision: 628033
- exclude plugin .so from provides
- enable optional UPower support
- add patch to build with UPower 0.99 (xfce#10923)

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 520579
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 386867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 265353
- new version 1.1.1

* Fri Jun 29 2012 wally <wally> 1.1.0-2.mga3
+ Revision: 265083
- add patch from upstream git to use transparency (mga#6620, xfce#8891)

* Mon May 28 2012 wally <wally> 1.1.0-1.mga3
+ Revision: 248593
- new version 1.1.0
- clean .spec

* Tue Jan 03 2012 wally <wally> 1.0.0-3.mga2
+ Revision: 190068
- rebuild for new xfce4-panel

* Sat Feb 19 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 54187
- imported package xfce4-systemload-plugin


* Sun Dec 12 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 620597
- update to new version 1.0.0
- drop all patches
- update buildrequires
- update URL for Source0

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-11mdv2010.1
+ Revision: 543439
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.4.2-10mdv2010.0
+ Revision: 446136
- rebuild

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-9mdv2009.1
+ Revision: 349480
- rebuild for xfce-4.6.0

* Sun Feb 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-8mdv2009.1
+ Revision: 336284
- drop patch 2, it looks ugly

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-7mdv2009.1
+ Revision: 295029
- rebuild for new Xfce4.6 beta1

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 0.4.2-6mdv2009.0
+ Revision: 269794
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-5mdv2009.0
+ Revision: 194752
- Patch2: remove not needed spacing
- Patch3: fix polish translation

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-4mdv2009.0
+ Revision: 194660
- Patch0: fix wrong bar colors on some gtk themes
- Patch1: fix wrong free memory value

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-3mdv2008.1
+ Revision: 110139
- correct buildrequires
- do not package COPYING file
- use upstream tarball name as a real name
- use upstream name

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-2mdv2008.0
+ Revision: 30479
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.2-1mdv2008.0
+ Revision: 30256
- new version

